curl -X GET "https://app.usatimbre.com/api/profile/XAXX010101000" \
-H "Authorization: Bearer tmb_your_api_key_here"
const response = await fetch('https://app.usatimbre.com/api/profile/XAXX010101000', {
headers: {
'Authorization': 'Bearer tmb_your_api_key_here'
}
});
const profile = await response.json();
import requests
response = requests.get(
'https://app.usatimbre.com/api/profile/XAXX010101000',
headers={'Authorization': 'Bearer tmb_your_api_key_here'}
)
profile = response.json()
{
"id": "550e8400-e29b-41d4-a716-446655440000",
"name": "Juan Pérez",
"email": "juan@example.com",
"phone_number": "+525512345678",
"org_id": "org_123456",
"created_at": "2024-01-15T10:30:00Z",
"updated_at": "2024-01-20T14:45:00Z",
"is_admin": false,
"credits_remaining": 50
}
{
"error": "Not Found",
"message": "Profile not found"
}
Gestión de Perfiles
Get Profile by RFC
Get profile details by RFC (Mexican tax ID)
GET
/
api
/
profile
/
{rfc}
curl -X GET "https://app.usatimbre.com/api/profile/XAXX010101000" \
-H "Authorization: Bearer tmb_your_api_key_here"
const response = await fetch('https://app.usatimbre.com/api/profile/XAXX010101000', {
headers: {
'Authorization': 'Bearer tmb_your_api_key_here'
}
});
const profile = await response.json();
import requests
response = requests.get(
'https://app.usatimbre.com/api/profile/XAXX010101000',
headers={'Authorization': 'Bearer tmb_your_api_key_here'}
)
profile = response.json()
{
"id": "550e8400-e29b-41d4-a716-446655440000",
"name": "Juan Pérez",
"email": "juan@example.com",
"phone_number": "+525512345678",
"org_id": "org_123456",
"created_at": "2024-01-15T10:30:00Z",
"updated_at": "2024-01-20T14:45:00Z",
"is_admin": false,
"credits_remaining": 50
}
{
"error": "Not Found",
"message": "Profile not found"
}
Overview
Retrieve profile details using the RFC (Registro Federal de Contribuyentes) identifier.Path Parameters
string
required
The RFC (Mexican tax ID) of the profile to retrieve. Example:
XAXX010101000Response
string
Unique profile identifier (UUID)
string
Profile name
string
Email address
string
Phone number
string
Organization ID the profile belongs to
string
ISO 8601 timestamp of when the profile was created
string
ISO 8601 timestamp of when the profile was last updated
boolean
Whether the profile has admin privileges
number
Number of invoice credits remaining
curl -X GET "https://app.usatimbre.com/api/profile/XAXX010101000" \
-H "Authorization: Bearer tmb_your_api_key_here"
const response = await fetch('https://app.usatimbre.com/api/profile/XAXX010101000', {
headers: {
'Authorization': 'Bearer tmb_your_api_key_here'
}
});
const profile = await response.json();
import requests
response = requests.get(
'https://app.usatimbre.com/api/profile/XAXX010101000',
headers={'Authorization': 'Bearer tmb_your_api_key_here'}
)
profile = response.json()
{
"id": "550e8400-e29b-41d4-a716-446655440000",
"name": "Juan Pérez",
"email": "juan@example.com",
"phone_number": "+525512345678",
"org_id": "org_123456",
"created_at": "2024-01-15T10:30:00Z",
"updated_at": "2024-01-20T14:45:00Z",
"is_admin": false,
"credits_remaining": 50
}
{
"error": "Not Found",
"message": "Profile not found"
}